aboutsummaryrefslogtreecommitdiff
path: root/easy-rsa/revoke-crt
diff options
context:
space:
mode:
authorjames <james@e7ae566f-a301-0410-adde-c780ea21d3b5>2005-09-26 05:28:27 +0000
committerjames <james@e7ae566f-a301-0410-adde-c780ea21d3b5>2005-09-26 05:28:27 +0000
commit6fbf66fad3367b24fd6743bcd50254902fd9c8d5 (patch)
tree9802876e3771744eead18917bb47ff6e90ac39f5 /easy-rsa/revoke-crt
downloadopenvpn-6fbf66fad3367b24fd6743bcd50254902fd9c8d5.tar.xz
This is the start of the BETA21 branch.
It includes the --topology feature, and TAP-Win32 driver changes to allow non-admin access. git-svn-id: http://svn.openvpn.net/projects/openvpn/branches/BETA21/openvpn@580 e7ae566f-a301-0410-adde-c780ea21d3b5
Diffstat (limited to '')
-rw-r--r--easy-rsa/revoke-crt18
1 files changed, 18 insertions, 0 deletions
diff --git a/easy-rsa/revoke-crt b/easy-rsa/revoke-crt
new file mode 100644
index 0000000..35b071a
--- /dev/null
+++ b/easy-rsa/revoke-crt
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+#
+# revoke a certificate
+#
+#
+
+if test $# -ne 1; then
+ echo "usage: revoke-crt <file.crt>";
+ exit 1
+fi
+
+if test $KEY_DIR; then
+ cd $KEY_DIR && \
+ openssl ca -revoke $1 -config $KEY_CONFIG
+else
+ echo you must define KEY_DIR
+fi